<define-tag sql_prepare>
<?
  function sql_prepare ($text)
  {
    # Der Himmel ist blau, das Wasser ist klar, die Vgel zwitschern
    # drauen, doch PHP weigert sich beharrlich, vernnftig zu
    # arbeiten.
    #
    # Problem: Im Form kommt " an, PHP macht daraus freundlicherweise \"
    #          und schon sind unsere Daten in der SQL-DB kaputt.  Danke
    # $mytext = ereg_replace ("\\\\", "\\\\", $text);
    # $mytext = ereg_replace ("\\\"", "\"", $text);
    # $mytext = ereg_replace ("'", "\\'", $mytext);
    #
    $mytext = str_replace ("'", "\\'", str_replace ("\\", "\\\\", $text));
    return ($mytext);
  }
?>
</define-tag>

<define-tag form_to_yyyymmdd>
<?
  function form_to_yyyymmdd ($date)
  {
    if (strlen ($date) > 0) {
      $datum = explode (".", $date);

      if (count($datum) > 1) {
	if (strlen ($datum[1]) == 0) {
	  $datum[1] = date ("m");
	}
	if (strlen ($datum[2]) == 0) {
	  $datum[2] = date ("Y");
	} elseif (strlen ($datum[2]) == 1) {
	  $datum[2] = "200" . $datum[2];
	} elseif (strlen ($datum[2]) == 2) {
	  $datum[2] = "20" . $datum[2];
	}

	$date = $datum[2] . "-" . $datum[1] . "-" . $datum[0];
      }
    } else {
      $date = date ("Y-m-j");
    }
    return $date;
  }
?>
</define-tag>
